Package net.snowflake.client.core

## Class SessionUtilExternalBrowser.DefaultAuthExternalBrowserHandlers

- java.lang.Object
- - net.snowflake.client.core.SessionUtilExternalBrowser.DefaultAuthExternalBrowserHandlers

All Implemented Interfaces:
  `SessionUtilExternalBrowser.AuthExternalBrowserHandlers`

Enclosing class:
  SessionUtilExternalBrowser

    @SnowflakeJdbcInternalApi
    public static class SessionUtilExternalBrowser.DefaultAuthExternalBrowserHandlers
    extends Object
    implements SessionUtilExternalBrowser.AuthExternalBrowserHandlers

### Constructor Summary

Constructors
`DefaultAuthExternalBrowserHandlers()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.http.client.methods.HttpPost` `build​(URI uri)`
`void` `openBrowser​(String ssoUrl)`
`void` `output​(String msg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultAuthExternalBrowserHandlers

    public DefaultAuthExternalBrowserHandlers()

### Method Detail

#### build

    public org.apache.http.client.methods.HttpPost build​(URI uri)

Specified by:
  `build` in interface `SessionUtilExternalBrowser.AuthExternalBrowserHandlers`

#### openBrowser

    public void openBrowser​(String ssoUrl)
                     throws SFException

Specified by:
  `openBrowser` in interface `SessionUtilExternalBrowser.AuthExternalBrowserHandlers`
Throws:
  `SFException`

#### output

    public void output​(String msg)

Specified by:
  `output` in interface `SessionUtilExternalBrowser.AuthExternalBrowserHandlers`